global:
  profile: dev
  release:
    version: "2025.10.0-edge"
    channel: edge
    manifestSha256: "822f82987529ea38d2321dbdd2ef6874a4062a117116a20861c26a8df1807beb"
  image:
    pullPolicy: IfNotPresent
  labels:
    stellaops.io/channel: edge
services:
  authority:
    image: registry.stella-ops.org/stellaops/authority@sha256:a8e8faec44a579aa5714e58be835f25575710430b1ad2ccd1282a018cd9ffcdd
    service:
      port: 8440
    env:
      STELLAOPS_AUTHORITY__ISSUER: "https://stellaops-authority:8440"
      STELLAOPS_AUTHORITY__MONGO__CONNECTIONSTRING: "mongodb://stellaops:stellaops@stellaops-mongo:27017"
      STELLAOPS_AUTHORITY__PLUGINDIRECTORIES__0: "/app/plugins"
      STELLAOPS_AUTHORITY__PLUGINS__CONFIGURATIONDIRECTORY: "/app/etc/authority.plugins"
  signer:
    image: registry.stella-ops.org/stellaops/signer@sha256:8bfef9a75783883d49fc18e3566553934e970b00ee090abee9cb110d2d5c3298
    service:
      port: 8441
    env:
      SIGNER__AUTHORITY__BASEURL: "https://stellaops-authority:8440"
      SIGNER__POE__INTROSPECTURL: "https://licensing.svc.local/introspect"
      SIGNER__STORAGE__MONGO__CONNECTIONSTRING: "mongodb://stellaops:stellaops@stellaops-mongo:27017"
  attestor:
    image: registry.stella-ops.org/stellaops/attestor@sha256:5cc417948c029da01dccf36e4645d961a3f6d8de7e62fe98d845f07cd2282114
    service:
      port: 8442
    env:
      ATTESTOR__SIGNER__BASEURL: "https://stellaops-signer:8441"
      ATTESTOR__MONGO__CONNECTIONSTRING: "mongodb://stellaops:stellaops@stellaops-mongo:27017"
  concelier:
    image: registry.stella-ops.org/stellaops/concelier@sha256:dafef3954eb4b837e2c424dd2d23e1e4d60fa83794840fac9cd3dea1d43bd085
    service:
      port: 8445
    env:
      CONCELIER__STORAGE__MONGO__CONNECTIONSTRING: "mongodb://stellaops:stellaops@stellaops-mongo:27017"
      CONCELIER__STORAGE__S3__ENDPOINT: "http://stellaops-minio:9000"
      CONCELIER__STORAGE__S3__ACCESSKEYID: "stellaops"
      CONCELIER__STORAGE__S3__SECRETACCESSKEY: "dev-minio-secret"
      CONCELIER__AUTHORITY__BASEURL: "https://stellaops-authority:8440"
    volumeMounts:
      - name: concelier-jobs
        mountPath: /var/lib/concelier/jobs
    volumes:
      - name: concelier-jobs
        emptyDir: {}
  scanner-web:
    image: registry.stella-ops.org/stellaops/scanner-web@sha256:e0dfdb087e330585a5953029fb4757f5abdf7610820a085bd61b457dbead9a11
    service:
      port: 8444
    env:
      SCANNER__STORAGE__MONGO__CONNECTIONSTRING: "mongodb://stellaops:stellaops@stellaops-mongo:27017"
      SCANNER__STORAGE__S3__ENDPOINT: "http://stellaops-minio:9000"
      SCANNER__STORAGE__S3__ACCESSKEYID: "stellaops"
      SCANNER__STORAGE__S3__SECRETACCESSKEY: "dev-minio-secret"
      SCANNER__QUEUE__BROKER: "nats://stellaops-nats:4222"
  scanner-worker:
    image: registry.stella-ops.org/stellaops/scanner-worker@sha256:92dda42f6f64b2d9522104a5c9ffb61d37b34dd193132b68457a259748008f37
    env:
      SCANNER__STORAGE__MONGO__CONNECTIONSTRING: "mongodb://stellaops:stellaops@stellaops-mongo:27017"
      SCANNER__STORAGE__S3__ENDPOINT: "http://stellaops-minio:9000"
      SCANNER__STORAGE__S3__ACCESSKEYID: "stellaops"
      SCANNER__STORAGE__S3__SECRETACCESSKEY: "dev-minio-secret"
      SCANNER__QUEUE__BROKER: "nats://stellaops-nats:4222"
  excititor:
    image: registry.stella-ops.org/stellaops/excititor@sha256:d9bd5cadf1eab427447ce3df7302c30ded837239771cc6433b9befb895054285
    env:
      EXCITITOR__CONCELIER__BASEURL: "https://stellaops-concelier:8445"
      EXCITITOR__STORAGE__MONGO__CONNECTIONSTRING: "mongodb://stellaops:stellaops@stellaops-mongo:27017"
  web-ui:
    image: registry.stella-ops.org/stellaops/web-ui@sha256:38b225fa7767a5b94ebae4dae8696044126aac429415e93de514d5dd95748dcf
    service:
      port: 8443
    env:
      STELLAOPS_UI__BACKEND__BASEURL: "https://stellaops-scanner-web:8444"
  mongo:
    class: infrastructure
    image: docker.io/library/mongo@sha256:c258b26dbb7774f97f52aff52231ca5f228273a84329c5f5e451c3739457db49
    service:
      port: 27017
    command:
      - mongod
      - --bind_ip_all
    env:
      MONGO_INITDB_ROOT_USERNAME: stellaops
      MONGO_INITDB_ROOT_PASSWORD: stellaops
    volumeMounts:
      - name: mongo-data
        mountPath: /data/db
    volumes:
      - name: mongo-data
        emptyDir: {}
  minio:
    class: infrastructure
    image: docker.io/minio/minio@sha256:14cea493d9a34af32f524e538b8346cf79f3321eff8e708c1e2960462bd8936e
    service:
      port: 9000
    command:
      - server
      - /data
      - --console-address
      - :9001
    env:
      MINIO_ROOT_USER: stellaops
      MINIO_ROOT_PASSWORD: dev-minio-secret
    volumeMounts:
      - name: minio-data
        mountPath: /data
    volumes:
      - name: minio-data
        emptyDir: {}
  nats:
    class: infrastructure
    image: docker.io/library/nats@sha256:c82559e4476289481a8a5196e675ebfe67eea81d95e5161e3e78eccfe766608e
    service:
      port: 4222
    command:
      - -js
      - -sd
      - /data
    volumeMounts:
      - name: nats-data
        mountPath: /data
    volumes:
      - name: nats-data
        emptyDir: {}
